# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget Kokkos::CUDA Kokkos::LIBDL Kokkos::kokkoscore Kokkos::kokkoscontainers Kokkos::kokkosalgorithms Kokkos::kokkossimd Kokkos::kokkos)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Create imported target Kokkos::CUDA
add_library(Kokkos::CUDA INTERFACE IMPORTED)

set_target_properties(Kokkos::CUDA PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUDA::cuda_driver;CUDA::cudart"
)

# Create imported target Kokkos::LIBDL
add_library(Kokkos::LIBDL INTERFACE IMPORTED)

set_target_properties(Kokkos::LIBDL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/include"
  INTERFACE_LINK_LIBRARIES "dl"
)

# Create imported target Kokkos::kokkoscore
add_library(Kokkos::kokkoscore STATIC IMPORTED)

set_target_properties(Kokkos::kokkoscore PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<COMPILE_LANGUAGE:CXX>:KOKKOS_DEPENDENCE>"
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:>;\$<\$<COMPILE_LANGUAGE:CXX>:-extended-lambda;-Wext-lambda-captures-this;-arch=sm_70>;\$<\$<COMPILE_LANGUAGE:CXX>:>"
  INTERFACE_INCLUDE_DIRECTORIES "/var/jenkins/workspace/ArborX_nightly/build-kokkos;/var/jenkins/workspace/ArborX_nightly/build-kokkos/core/src;/var/jenkins/workspace/ArborX_nightly/source-kokkos/core/src;/var/jenkins/workspace/ArborX_nightly/source-kokkos/core/src/../../tpls/desul/include;/var/jenkins/workspace/ArborX_nightly/source-kokkos/core/src/../../tpls/mdspan/include"
  INTERFACE_LINK_LIBRARIES "Kokkos::CUDA;Kokkos::LIBDL"
  INTERFACE_LINK_OPTIONS "\$<\$<LINK_LANGUAGE:CXX>:-DKOKKOS_DEPENDENCE;-arch=sm_70>"
)

# Create imported target Kokkos::kokkoscontainers
add_library(Kokkos::kokkoscontainers STATIC IMPORTED)

set_target_properties(Kokkos::kokkoscontainers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/var/jenkins/workspace/ArborX_nightly/build-kokkos;/var/jenkins/workspace/ArborX_nightly/build-kokkos/containers/src;/var/jenkins/workspace/ArborX_nightly/source-kokkos/containers/src"
  INTERFACE_LINK_LIBRARIES "Kokkos::kokkoscore"
)

# Create imported target Kokkos::kokkosalgorithms
add_library(Kokkos::kokkosalgorithms INTERFACE IMPORTED)

set_target_properties(Kokkos::kokkosalgorithms PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/var/jenkins/workspace/ArborX_nightly/build-kokkos;/var/jenkins/workspace/ArborX_nightly/build-kokkos/algorithms/src;/var/jenkins/workspace/ArborX_nightly/source-kokkos/algorithms/src"
)

# Create imported target Kokkos::kokkossimd
add_library(Kokkos::kokkossimd STATIC IMPORTED)

set_target_properties(Kokkos::kokkossimd PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/var/jenkins/workspace/ArborX_nightly/build-kokkos;/var/jenkins/workspace/ArborX_nightly/build-kokkos/simd/src;/var/jenkins/workspace/ArborX_nightly/source-kokkos/simd/src"
)

# Create imported target Kokkos::kokkos
add_library(Kokkos::kokkos INTERFACE IMPORTED)

set_target_properties(Kokkos::kokkos PROPERTIES
  INTERFACE_LINK_LIBRARIES "Kokkos::kokkoscore;Kokkos::kokkoscontainers;Kokkos::kokkosalgorithms;Kokkos::kokkossimd"
)

# Import target "Kokkos::kokkoscore" for configuration "Release"
set_property(TARGET Kokkos::kokkoscore APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(Kokkos::kokkoscore PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_RELEASE "CXX"
  IMPORTED_LOCATION_RELEASE "/var/jenkins/workspace/ArborX_nightly/build-kokkos/core/src/libkokkoscore.a"
  )

# Import target "Kokkos::kokkoscontainers" for configuration "Release"
set_property(TARGET Kokkos::kokkoscontainers APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(Kokkos::kokkoscontainers PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_RELEASE "CXX"
  IMPORTED_LOCATION_RELEASE "/var/jenkins/workspace/ArborX_nightly/build-kokkos/containers/src/libkokkoscontainers.a"
  )

# Import target "Kokkos::kokkossimd" for configuration "Release"
set_property(TARGET Kokkos::kokkossimd APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(Kokkos::kokkossimd PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_RELEASE "CXX"
  IMPORTED_LOCATION_RELEASE "/var/jenkins/workspace/ArborX_nightly/build-kokkos/simd/src/libkokkossimd.a"
  )

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
